Package twisted :: Package protocols :: Module imap4 :: Class Command |
[frames | no frames]

## Class Command

Method Summary
| `__init__(self, command, args, wantResponse, continuation, *contArgs, **contKw)`
| `finish(self, lastLine, unusedCallback)`
| `format(self, tag)`

Class Variable Summary
`tuple` | `_1_RESPONSES` = `('CAPABILITY', 'FLAGS', 'LIST', 'LSUB', '...`
`tuple` | `_2_RESPONSES` = `('EXISTS', 'EXPUNGE', 'FETCH', 'RECENT')`
`tuple` | `_OK_RESPONSES` = `('UIDVALIDITY', 'READ-WRITE', 'READ-ONLY...`
`NoneType` | `defer` = None

Class Variable Details

    ### _1_RESPONSES Type: `tuple` Value:
        ('CAPABILITY', 'FLAGS', 'LIST', 'LSUB', 'STATUS', 'SEARCH', 'NAMESPACE\
        ')

    ### _2_RESPONSES Type: `tuple` Value:
        ('EXISTS', 'EXPUNGE', 'FETCH', 'RECENT')

    ### _OK_RESPONSES Type: `tuple` Value:
        ('UIDVALIDITY', 'READ-WRITE', 'READ-ONLY', 'UIDNEXT', 'PERMANENTFLAGS'\
        )

    ### defer Type: `NoneType` Value:
        None

Generated by Epydoc 2.0 on Sat Oct 25 00:55:06 2003 | http://epydoc.sf.net